"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class VcfTSTV(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {
        "TS",
        "TS_1",
        "TS_TV",
        "TS_TV_1",
        "TV",
        "TV_1",
    }

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_8_7 import metrics as metrics_1_2_5

        return {
            "org.gel.models.report.avro.VcfTSTV": metrics_1_2_5.VcfTSTV,
        }

    __slots__ = [
        "TS",
        "TS_1",
        "TS_TV",
        "TS_TV_1",
        "TV",
        "TV_1",
    ]

    def __init__(
        self,
        TS,
        TS_1,
        TS_TV,
        TS_TV_1,
        TV,
        TV_1,
        validate=None,
        **kwargs
    ):
        """Initialise the metrics_1_2_5.VcfTSTV model.

        :param TS:
        :type TS: double
        :param TS_1:
        :type TS_1: double
        :param TS_TV:
        :type TS_TV: double
        :param TS_TV_1:
        :type TS_TV_1: double
        :param TV:
        :type TV: double
        :param TV_1:
        :type TV_1: double
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "1.2.5"
